RootNameLookup
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class RootNameLookup

- java.lang.Object
- - com.fasterxml.jackson.databind.util.RootNameLookup

- All Implemented Interfaces:
    java.io.Serializable

      public class RootNameLookup
      extends java.lang.Object
      implements java.io.Serializable

  Helper class for caching resolved root names.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LRUMap<ClassKey,PropertyName>` | `_rootNames` For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootNameLookup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyName` | `findRootName(java.lang.Class<?> rootType, MapperConfig<?> config)`
    `PropertyName` | `findRootName(JavaType rootType, MapperConfig<?> config)`
    `protected java.lang.Object` | `readResolve()` Need to override to reproduce cache object via constructor, instead of serialize/deserialize (since we do NOT want to retain cached data)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _rootNames

          protected transient LRUMap<ClassKey,PropertyName> _rootNames

      For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

  - ### Constructor Detail

    - #### RootNameLookup

          public RootNameLookup()

  - ### Method Detail

    - #### findRootName

          public PropertyName findRootName(JavaType rootType,
                                  MapperConfig<?> config)

    - #### findRootName

          public PropertyName findRootName(java.lang.Class<?> rootType,
                                  MapperConfig<?> config)

    - #### readResolve

          protected java.lang.Object readResolve()

      Need to override to reproduce cache object via constructor, instead of serialize/deserialize (since we do NOT want to retain cached data)